#
# spec file for package HP_Z240 (Version 1.0)
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# norootforbuild


Name:           hp_z240-sle12sp1-x86_64
%define         product hp_z240-sle12sp1-x86_64
Summary:        HP Z240 Driver Kit for SLE12-SP1 x86_64
Version:        1.0
Release:        2.1
License:        GPL-2.0+
Group:          System/Fhs
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
This is the HP Z240 Driver Kit for SLE12-SP1 x86_64

########### release package ###########
%package release
Provides:       %name-%version
Provides:       product() = HP_Z240
Provides:       product(HP_Z240) = %version-%release
Requires:       product_flavor(HP_Z240)


Summary:        HP Z240 Driver Kit for SLE12-SP1 x86_64


%description release
This is the HP Z240 Driver Kit for SLE12-SP1 x86_64 release


########### release-cd package ###########
%package release-cd
License:        GPL-2.0+
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(cd)
Provides:       product_flavor(HP_Z240) = %version-%release
Summary:        HP Z240 Driver Kit for SLE12-SP1 x86_64
Requires:       product(SUSE_SLE) = 12.1


%description release-cd
This is the HP Z240 Driver Kit for SLE12-SP1 x86_64



%prep


%build

%install
rm -Rf $RPM_BUILD_ROOT
## Create release packages
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/hp_z240-sle12sp1-x86_64-release-cd
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/hp_z240-sle12sp1-x86_64-release-cd/README << EOF
This package just exist just for providing the product flavor 'cd'.

EOF

mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/hp_z240-sle12sp1-x86_64.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product id="hp_z240-sle12sp1-x86_64" schemeversion="0">
  <vendor>SUSE PLDP: Hewlett-Packard Company</vendor>
  <name>HP_Z240</name>
  <version>%{version}</version>
  <patchlevel>0</patchlevel>
  <release>%{release}</release>
  <arch>%{_target_cpu}</arch>
  <register>
    <target/>
    <release/>
    <repositories>
    </repositories>
  </register>
  <upgrades />
  <summary>HP Z240 Driver Kit for SLE12-SP1 x86_64</summary>
  <description>HP Z240 Driver Kit for SLE12-SP1 x86_64</description>
  <linguas />
  <urls></urls>
  <buildconfig>
    <producttheme>SLES</producttheme>
    <allowresolving>false</allowresolving>
  </buildconfig>
  <installconfig>
    <datadir>suse</datadir>
    <descriptiondir>suse/setup/descr</descriptiondir>
    <releasepackage name="hp_z240-sle12sp1-x86_64-release" flag="EQ" version="1.0" release="%{release}" />
    <distribution>SUSE_SLE</distribution>
  </installconfig>
  <runtimeconfig />
</product>

EOF



%clean
rm -rf %buildroot

%files release
%defattr(644,root,root,755)
%dir /etc/products.d
/etc/products.d/*.prod

%files release-cd
%defattr(-,root,root)
%doc %{_defaultdocdir}/hp_z240-sle12sp1-x86_64-release-cd



%changelog
